Bug 172983 - the wonderful api lets me create a channel with parent channel set to xxx-extras
the wonderful api lets me create a channel with parent channel set to xxx-extras
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Brandon Perkins
:
Depends On:
Blocks: 169454
  Show dependency treegraph
 
Reported: 2005-11-11 14:33 EST by Vlady Zlatkin
Modified: 2007-06-20 14:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 14:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vlady Zlatkin 2005-11-11 14:33:56 EST
the api lets you create this hierarchy

rhel-as
    rhel-as-extras
        custom-channel

for an example of this wonderful feature do this:
cd svn/playpen/yum-sync/
perl create-channel.pl --server=rlx-2-24.rhndev.redhat.com
--channel-parent=rhel-i386-as-4-extras custom-channel

in the webui the channel doesn't show up in 'manage software channels' but does
show up in the 'all' list of channels as this:

 (no access to parent channel)  	  	 0
 custom-channel
Comment 1 Jesus M. Rodriguez 2006-06-05 12:39:10 EDT
TEST PLAN
------------
run script specified in original comment with the following input and
expected results:

1) valid base channel label -> expect: success
2) an invalid channel label -> expect: fault code, 1200 invalid channel name 
3) a valid channel label that is NOT a base channel -> expect: fault code: 1202
invalid parent channel
Comment 2 Jesus M. Rodriguez 2006-06-14 17:18:52 EDT
Moving to ON_QA
Comment 3 Brandon Perkins 2006-06-15 14:28:44 EDT
Fails QA.  Test plans 1 and 3 are fine.  Number two has a problem.  Giving an
invalid channel name '0dd' in the web interface fails as expected as it is both
under six characters and does not start with a letter.  However, the api allows
it to be created (and displayed in the web UI):

$ perl create-channel.pl --server=rlx-3-14.rhndev.redhat.com
--channel-parent=rh-i386-desktop-4 0dd
Comment 4 Jesus M. Rodriguez 2006-06-19 00:25:27 EDT
Repeat test plans from comment #2 and comment #3.
Comment 5 Jesus M. Rodriguez 2006-06-19 18:41:38 EDT
Moving to ON_QA
Comment 6 Brandon Perkins 2006-06-21 14:30:53 EDT
Verified.

1) valid base channel label results in success.
2) an invalid channel label results in Fault returned from XML RPC Server, fault
code 1200: Invalid channel name
3) a valid channel label that is NOT a base channel results in Fault returned
from XML RPC Server, fault code 1202: Invalid parent channel
4) an invalid parent channel label results in Fault returned from XML RPC
Server, fault code -1: unhandled internal exception: Invalid Parent Channel label
Comment 7 Beth Nackashi 2006-07-19 14:51:54 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.